#!/bin/bash

mkdir -p /mnt/dump

if [ ! "$(mount -t cifs -o exec,username={{ FILE_USER }},password={{ FILE_PASSWORD }},suid,dev //backup1/wolf_db /mnt/dump)" ]; then
        cp /mnt/dump/gitlab/${1}_gitlab_backup.tar /var/opt/gitlab/backups/
#        cp /mnt/dump/gitlab/conf/gitlab.rb /etc/gitlab/
#        cp /mnt/dump/gitlab/conf/gitlab-secrets.json /etc/gitlab/
 
        cd /home
        umount /mnt/dump > /dev/null 2>&1
        cd /root

        gitlab-ctl reconfigure
        gitlab-ctl stop unicorn
        gitlab-ctl stop sidekiq
        gitlab-ctl status
        gitlab-rake gitlab:backup:restore BACKUP=${1}
        gitlab-ctl start
        gitlab-rake gitlab:check SANITIZE=true
fi

exit 0;
